#!/bin/sh
#
# goto top of modified kernel tree and run this script
#

LOC=/home/jsno/proj/iptrk
ORIG=/usr/src/linux-2.4.21

rm -rf $LOC/kernel_patch/iptrk.*
rm -rf $LOC/kernel_patch/sources/*
rm -rf $LOC/kernel_patch/patches/*

cp -f ./net/ipv4/iptrk.c	$LOC/kernel_patch
cp -f ./include/linux/iptrk.h	$LOC/kernel_patch

cp -f ./net/ipv4/ip_input.c	$LOC/kernel_patch/sources
cp -f ./net/ipv4/ip_output.c	$LOC/kernel_patch/sources
cp -f ./net/ipv4/Makefile	$LOC/kernel_patch/sources
cp -f ./net/netsyms.c		$LOC/kernel_patch/sources

diff -u $ORIG/net/ipv4/ip_input.c	./net/ipv4/ip_input.c  \
>$LOC/kernel_patch/patches/ip_input.c.patch

diff -u $ORIG/net/ipv4/ip_output.c	./net/ipv4/ip_output.c \
>$LOC/kernel_patch/patches/ip_output.c.patch

diff -u $ORIG/net/ipv4/Makefile	./net/ipv4/Makefile \
>$LOC/kernel_patch/patches/Makefile.patch

diff -u $ORIG/net/netsyms.c		./net/netsyms.c \
>$LOC/kernel_patch/patches/netsyms.c.patch
